Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.filebuffers
Interface IPersistableAnnotationModel

All Known Implementing Classes:
  AbstractMarkerAnnotationModel

public interface IPersistableAnnotationModel

Tagging interface for `IAnnotationModel` implementers that offer state persistence.

Since:
  3.0

Method Summary
`void` | `commit(IDocument document)` Transforms the current transient state of the annotation model into a persistent state.
`void` | `reinitialize(IDocument document)` Forces this annotation model to re-initialize from the persistent state.
`void` | `revert(IDocument document)` Changes the current transient state of the annotation model to match the last persisted state.

Method Detail

### commit

    public void commit(IDocument document)
                throws CoreException

  Transforms the current transient state of the annotation model into a persistent state.

  Parameters:
    `document` - the document the annotation model is connected to
  Throws:
    `CoreException` - in case the transformation fails

### revert

    public void revert(IDocument document)
                throws CoreException

  Changes the current transient state of the annotation model to match the last persisted state.

  Parameters:
    `document` - the document the annotation model is connected to
  Throws:
    `CoreException` - in case accessing the persisted state

### reinitialize

    public void reinitialize(IDocument document)
                      throws CoreException

  Forces this annotation model to re-initialize from the persistent state. The persistent state must not be the same as the last persisted state. I.e. external modification may have caused changes to the persistent state since the last `commit` or `revert` operation.

  Parameters:
    `document` - the document the annotation model is connected to
  Throws:
    `CoreException` - in case accessing the persistent state fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.